[oe-commits] Richard Purdie : runqemu: Add error handling for unexpected tap devices

git at git.openembedded.org git at git.openembedded.org
Sun Aug 9 07:20:42 UTC 2015


Module: openembedded-core.git
Branch: master-next
Commit: 4238f3b6e320969aaf539e6afb1cb2bfd61bb28b
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=4238f3b6e320969aaf539e6afb1cb2bfd61bb28b

Author: Richard Purdie <richard.purdie at linuxfoundation.org>
Date:   Sun Aug  9 00:03:49 2015 -0700

runqemu: Add error handling for unexpected tap devices

In theory the code reduces the tap device number to an integer. This
patch adds error checking to ensure that does happen and that the script
exits if something unexpected happens.

Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>

---

 scripts/runqemu-internal | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/scripts/runqemu-internal b/scripts/runqemu-internal
index 03b40d8..0ace485 100755
--- a/scripts/runqemu-internal
+++ b/scripts/runqemu-internal
@@ -253,6 +253,14 @@ else
 
 
         n0=$(echo $TAP | sed 's/tap//')
+
+        case $n0 in
+            ''|*[!0-9]*)
+                echo "Error Couldn't turn $TAP into an interface number?"
+                exit 1
+                ;;
+        esac
+
         n1=$(($n0 * 2 + 1))
         n2=$(($n1 + 1))
 



More information about the Openembedded-commits mailing list